Subject: RE: Where to install gnu-win32...
From: [email-masked] (Charles G Waldman)

28 Aug 1998 05:37:47 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: ALI RON <[email-masked]>
Cc: "'Charles G Waldman'" <[email-masked]>,
        "'GNU-win32 Mailing List'" <[email-masked]>,
        "[email-masked]'" <[email-masked]>

ALI RON writes:
 > Thanks very much to Charles Waldman & Earnie Boyd
 > for your excellent responses

You're welcome.
 > 
 > We will definitely need to use GNAT.  Before I tackle
 > this not so insignificant installation, I'd like to clarify,
 > 1) Is there any reason why I can't install to D: -vs- C:?
 > This would allow me to leave GNAT on C: untouched until
 > the cygwin install is stabilized.

This is actually how I have everything set up.  D:\usr is the root of
my Cygnus installation.  You will need to modify your mount tables,
because Windows "C:\" will be mounted as Unix "/", which you don't
want.

You can't fix the mount tables (AFAIK) from within "bash" because the
filesystems are already mounted... what I did was to fire up Regedit
and go into the key 
HKEY_CURRENT_USER/Software/Cygnus Solutions/CYGWIN.DLL Setup/b15.0/mounts

and fix things up so that D: mounts as / and C: mounts as /C

While you're in there I suggest you turn on binary mounts - set all
the "fbinary" keys to 1.  Then when you start Bash, the mount command
should return something like:

Device           Directory           Type        Flags
\\.\tape1:       /dev/st1            native      text=binary
\\.\tape0:       /dev/st0            native      text=binary
\\.\b:           /dev/fd1            native      text=binary
\\.\a:           /dev/fd0            native      text=binary
C:               /C                  native      text=binary
D:               /                   native      text=binary

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".